/**
 * Custom Styles here.
 *
 * ref：https://v1.vuepress.vuejs.org/config/#index-styl
 */

@import './palette'

$baseUrl = "/v1.0"

// Function to return url with baseUrl
withBase(path)
  return unquote('url("') + join('/', $baseUrl, path) + unquote('")')

/*
  Fonts
*/

@font-face {
  font-family: "Roboto"
  src: withBase("fonts/Roboto/Roboto-Light.ttf")
  font-weight: normal
  font-style: normal
}

._font-roboto
  font-family: "Roboto", sans-serif

@font-face {
  font-family: "Nunito"
  src: withBase("/fonts/Nunito/Nunito-VariableFont_wght.ttf")
  font-weight: bold
  font-style: normal
}

._font-nunito
  font-family: "Nunito", sans-serif

/**
 * App styles
 */

body
  font-family: "Roboto", Arial

// Overwrite font
h1, h2, h3, h4, h5, h6
  font-family: "Nunito", "Roboto", Arial, sans-serif
  font-weight: 200
  color: $primaryColor

h5, h6
  font-size: 1em // Min size is equivalent to h4 default size

// '#' headings anchors
.vp-doc .header-anchor
  float: unset
  margin-left: 0
  padding-right: 0
  opacity: 0.15
  transition: opacity 0.25s
  color: $primaryColor
  :hover
    opacity: 1

.home .hero img
  max-width 450px !important

/**
 * Sidebar
 */
.sidebar-group
  // refine styles of nested sidebar groups
  &.is-sub-group
    & > .sidebar-heading
      padding-left: 0rem !important

/**
 * Custom blocks
 */
.custom-block
  background-color: $pearlColor
  &.tip
    border: none
